package com.ruoyi.system.service.grid;

import com.ruoyi.system.domain.grid.GridInterview;
import com.ruoyi.system.domain.grid.GridInterviewExample;
import com.ruoyi.system.service.BaseService;

import java.util.List;

/**
 * @author Cesar
 * @date ${cTime}
 * @desc GridInterviewService接口
 */
public interface GridInterviewService extends BaseService<GridInterview, GridInterviewExample> {

    List<GridInterview> interviewPage(String cid);

    String interviewAdd(GridInterview wsInterview);

    void edit(GridInterview wsInterview);

    GridInterview detail(String id);

    void delete(String ids);

    long count(String type, String id);

    long pending(String type, String id);

}
